org.apache.felix.scrplugin.helper

## Class IssueLog

- java.lang.Object
- - org.apache.felix.scrplugin.helper.IssueLog

    public class IssueLog
    extends Object

Utility class for handling errors and warnings

### Constructor Summary

Constructors
Constructor and Description
`IssueLog(boolean strictMode)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addDeprecationWarning(String message, String location)`
`void` `addError(String message, String location)`
`void` `addWarning(String message, String location)`
`int` `getNumberOfErrors()`
`boolean` `hasErrors()`
`void` `logMessages(Log log)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IssueLog

    public IssueLog(boolean strictMode)

### Method Detail

#### getNumberOfErrors

    public int getNumberOfErrors()

#### hasErrors

    public boolean hasErrors()

#### addError

    public void addError(String message,
                         String location)

#### addWarning

    public void addWarning(String message,
                           String location)

#### addDeprecationWarning

    public void addDeprecationWarning(String message,
                                      String location)

#### logMessages

    public void logMessages(Log log)